org.apache.hc.client5.http.fluent

## Class Async

- java.lang.Object
- - org.apache.hc.client5.http.fluent.Async

-     public class Async
      extends Object

  Asynchronous executor for `Request`s.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Future<Content>` | `execute(Request request)`
    `Future<Content>` | `execute(Request request, org.apache.hc.core5.concurrent.FutureCallback<Content> callback)`
    `<T> Future<T>` | `execute(Request request, org.apache.hc.core5.http.io.HttpClientResponseHandler<T> handler)`
    `<T> Future<T>` | `execute(Request request, org.apache.hc.core5.http.io.HttpClientResponseHandler<T> handler, org.apache.hc.core5.concurrent.FutureCallback<T> callback)`
    `static Async` | `newInstance()`
    `Async` | `use(Executor executor)`
    `Async` | `use(Executor concurrentExec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newInstance

          public static Async newInstance()

    - #### use

          public Async use(Executor executor)

    - #### use

          public Async use(Executor concurrentExec)

    - #### execute

          public <T> Future<T> execute(Request request,
                              org.apache.hc.core5.http.io.HttpClientResponseHandler<T> handler,
                              org.apache.hc.core5.concurrent.FutureCallback<T> callback)

    - #### execute

          public <T> Future<T> execute(Request request,
                              org.apache.hc.core5.http.io.HttpClientResponseHandler<T> handler)

    - #### execute

          public Future<Content> execute(Request request,
                                org.apache.hc.core5.concurrent.FutureCallback<Content> callback)

    - #### execute

          public Future<Content> execute(Request request)

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.